Bug 674671 - Review Request: python-repoze-lru - A tiny LRU cache implementation and decorator
Review Request: python-repoze-lru - A tiny LRU cache implementation and decor...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 674692
  Show dependency treegraph
 
Reported: 2011-02-02 16:20 EST by Luke Macken
Modified: 2016-09-19 22:41 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-repoze-lru-0.3-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-02 22:08:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tla: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2011-02-02 16:20:03 EST
Spec URL: http://lmacken.fedorapeople.org/rpms/python-repoze-lru.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-repoze.lru-0.3-1.fc13.src.rpm
Description:
repoze.lru is a LRU (least recently used) cache implementation. Keys and values
that are not used frequently will be evicted from the cache faster than keys
and values that are used frequently.
Comment 1 Tim Lauridsen 2011-02-17 01:07:58 EST
I will review this bug
Comment 2 Tim Lauridsen 2011-02-17 01:19:06 EST
Source0 url is not pointing to upstream source
it should be 
http://pypi.python.org/packages/source/r/repoze.lru/%{modname}-%{version}.tar.gz
Comment 3 Luke Macken 2011-02-17 02:09:52 EST
(In reply to comment #2)
> Source0 url is not pointing to upstream source
> it should be 
> http://pypi.python.org/packages/source/r/repoze.lru/%{modname}-%{version}.tar.gz

Fixed.
Comment 4 Luke Macken 2011-02-17 02:11:10 EST
Renamed from python-repoze.lru to python-repoze-lru:

Spec URL: http://lmacken.fedorapeople.org/rpms/python-repoze-lru.spec
SRPM URL:
http://lmacken.fedorapeople.org/rpms/python-repoze-lru-0.3-1.fc13.src.rpm
Comment 5 Tim Lauridsen 2011-02-17 10:16:10 EST
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

[x] : MUST - Package successfully compiles and builds into binary rpms on at least one supported architecture.
[x] : MUST - Buildroot is correct (EPEL5 & Fedora < 10)
        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
[x] : MUST - Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x] : MUST - Each %files section contains %defattr
[x] : MUST - Spec file lacks Packager, Vendor, PreReq tags.
[x] : MUST - Package run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) and the beginning of %install.
[x] : MUST - Package use %makeinstall only when make install DESTDIR=... doesn't work.
[x] : MUST - Package is named according to the Package Naming Guidelines.
[!] : MUST - Rpmlint output is silent.
        
        rpmlint python-repoze-lru-0.3-1.fc13.src.rpm
        ================================================================================
        python-repoze-lru.src: W: non-coherent-filename python-repoze-lru-0.3-1.fc13.src.rpm python-repoze-lru-0.3-1.fc14.src.rpm
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.
        ================================================================================
        
        rpmlint python-repoze-lru-0.3-1.fc14.noarch.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
[x] : MUST - Sources used to build the package matches the upstream source, as provided in the spec URL.
        MD5SUM this package     : da478fab8acaf77c8a963c163d976aa5
        MD5SUM upstream package : da478fab8acaf77c8a963c163d976aa5
[x] : MUST - Spec file name must match the spec package %{name}, in the format %{name}.spec.
[x] : MUST - Spec file is legible and written in American English.
[x] : MUST - Spec uses macros instead of hard-coded directory names.
[x] : MUST - Package consistently uses macros.
[x] : MUST - Macros in Summary, %description expandable at SRPM build time.
[x] : MUST - Requires correct, justified where necessary.
[!] : MUST - All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
    BuildRequires: python2-devel is missing (https://fedoraproject.org/wiki/Packaging:Python#BuildRequires)
[-] : MUST - The spec file handles locales properly.
[x] : MUST - Changelog in prescribed format.
[x] : MUST - License field in the package spec file matches the actual license.
[x] : MUST - If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-] : MUST - License file installed when any subpackage combination is installed.
[x] : MUST - Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[x] : MUST - Sources contain only permissible code or content.
[-] : MUST - Compiler flags are appropriate.
[-] : MUST - %build honors applicable compiler flags or justifies otherwise.
[-] : MUST - ldconfig called in %post and %postun if required.
[x] : MUST - Package must own all directories that it creates.
[x] : MUST - Package does not own files or directories owned by other packages.
[x] : MUST - Package requires other packages for directories it uses.
[x] : MUST - Package does not contain duplicates in %files.
[x] : MUST - Permissions on files are set properly.
[-] : MUST - No %config files under /usr.
[-] : MUST - %config files are marked noreplace or the reason is justified.
[-] : MUST - Package contains a properly installed %{name}.desktop using desktop-file-install file if it is a GUI application.
[-] : MUST - Package contains a valid .desktop file.
[x] : MUST - Package contains code, or permissable content.
[-] : MUST - Package contains a SysV-style init script if in need of one.
[x] : MUST - File names are valid UTF-8.
[-] : MUST - Large documentation files are in a -doc subpackage, if required.
[x] : MUST - Package uses nothing in %doc for runtime.
[x] : MUST - Package contains no bundled libraries.
[-] : MUST - Header files in -devel subpackage, if present.
[-] : MUST - Static libraries in -static subpackage, if present.
[-] : MUST - Package contains no static executables.
[-] : MUST - Package requires pkgconfig, if .pc files are present.
[-] : MUST - Development .so files in -devel subpackage, if present.
[-] : MUST - Fully versioned dependency in subpackages, if present.
[-] : MUST - Package does not contain any libtool archives (.la).
[-] : MUST - Useful -debuginfo package or justification otherwise.
[x] : MUST - Rpath absent or only used for internal libs.
[x] : MUST - Package does not genrate any conflict.
[x] : MUST - Package does not contains kernel modules.
[x] : MUST - Package is not relocatable.
[x] : MUST - Package is not known to require ExcludeArch.
[x] : MUST - Package installs properly.
[x] : MUST - Package obeys FHS, except libexecdir and /usr/target.
[x] : MUST - Package meets the Packaging Guidelines.
[x] : SHOULD - Dist tag is present.
[x] : SHOULD - SourceX is a working URL.
[?] : SHOULD - Package functions as described.
[x] : SHOULD - Latest version is packaged.
[x] : SHOULD - Package does not include license text files separate from upstream.
[x] : SHOULD - If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[!] : SHOULD - Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[x] : SHOULD - SourceX / PatchY prefixed with %{name}.
[x] : SHOULD - Final provides and requires are sane (rpm -q --provides and rpm -q --requires).
[x] : SHOULD - %check is present and all tests pass.
[-] : SHOULD - Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[?] : SHOULD - Reviewer should test that the package builds in mock.
[?] : SHOULD - Package should compile and build into binary rpms on all supported architectures.
[!] : SHOULD - Spec use %global instead of %define.
        %define modname repoze.lru should be %global instead
[x] : SHOULD - Scriptlets must be sane, if used.
[x] : SHOULD - The placement of pkgconfig(.pc) files are correct.
[-] : SHOULD - No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x] : SHOULD - Packages should try to preserve timestamps of original installed files.
[-] : SHOULD - File based requires are sane.
[-] : SHOULD - Man pages included for all executables.
[?] : SHOULD - Uses parallel make.
[-] : SHOULD - Patches link to upstream bugs/comments/lists or are otherwise justified.

Issues:
[!] : MUST - All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
    BuildRequires: python2-devel is missing (https://fedoraproject.org/wiki/Packaging:Python#BuildRequires)
[!] : SHOULD - Spec use %global instead of %define.
        %define modname repoze.lru should be %global instead
Comment 6 Luke Macken 2011-02-17 22:25:20 EST
(In reply to comment #5)
> Package Review
> ==============
> [!] : MUST - Rpmlint output is silent.
>         python-repoze-lru.src: W: non-coherent-filename
> python-repoze-lru-0.3-1.fc13.src.rpm python-repoze-lru-0.3-1.fc14.src.rpm
>         1 packages and 0 specfiles checked; 0 errors, 1 warnings.

rpmlint is silent on the fc14.src.rpm below.

> [!] : MUST - All build dependencies are listed in BuildRequires, except for any
> that are listed in the exceptions section of Packaging Guidelines.
>     BuildRequires: python2-devel is missing
> (https://fedoraproject.org/wiki/Packaging:Python#BuildRequires)

Added.

> [!] : SHOULD - Spec use %global instead of %define.
>         %define modname repoze.lru should be %global instead

Fixed.

Spec URL: http://lmacken.fedorapeople.org/rpms/python-repoze-lru.spec
SRPM URL:
http://lmacken.fedorapeople.org/rpms/python-repoze.lru-0.3-1.fc14.src.rpm
Comment 7 Tim Lauridsen 2011-02-18 09:09:59 EST
APPROVED
Comment 8 Luke Macken 2011-02-18 14:06:21 EST
New Package SCM Request
=======================
Package Name: python-repoze-lru
Short Description: A tiny LRU cache implementation and decorator
Owners: lmacken
Branches: f14 f15 el5 el6
Comment 9 Jason Tibbitts 2011-02-18 14:32:20 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2011-02-22 16:34:12 EST
python-repoze-lru-0.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-repoze-lru-0.3-1.el6
Comment 11 Fedora Update System 2011-02-22 16:34:19 EST
python-repoze-lru-0.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-repoze-lru-0.3-1.fc14
Comment 12 Fedora Update System 2011-02-22 16:34:27 EST
python-repoze-lru-0.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-repoze-lru-0.3-1.fc15
Comment 13 Fedora Update System 2011-02-23 15:29:06 EST
python-repoze-lru-0.3-1.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-repoze-lru'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python-repoze-lru-0.3-1.fc15
Comment 14 Fedora Update System 2011-03-02 22:08:16 EST
python-repoze-lru-0.3-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2011-03-04 05:01:09 EST
python-repoze-lru-0.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2011-03-10 12:26:19 EST
python-repoze-lru-0.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.